Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 17 Mar 2023 05:41:30 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Order number 9418914727 
I really feel shameless myself. The customer service everyone not even single person has seriousness about there work. And specifically the department of warehouse they are just sleeping not being Ben have proper management system. And customer service all the time just lie. 
1 lie about delivering time and updation 
2 they lie that they sent compensation in mail like voucher
3 i strictly was in hold to speak to manager of customer service for long time not connected and they said I will get call from them 
4 from 5 days my order keeping with you. You must feel shameless 

It’s sure that I need compensation and need call from management department. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5861854